#!/bin/sh
#
# Build a win32 version of libtool.
version=1.4.2
#installdir=`pwd`/v$version-win32
installdir=/usr/local/cross-tools/libtool
patch1=`pwd`/libtool-1.4.2-7A/libtool-1.4.2-7-path-seperator.patch
patch2=`pwd`/libtool-1.4.2-7A/libtool-1.4.2-7-dynamic-dll.patch
chmod -R u+wX libtool-$version
/bin/rm -rf libtool-$version
gzip -dc < libtool-$version.tar.gz | tar xf -
(cd libtool-$version; patch -p1 < $patch1)
(cd libtool-$version; patch -p1 < $patch2)
(cd libtool-$version; PATH=/usr/local/cross-tools/bin:$PATH \
    CC=mingw32-gcc AR=mingw32-ar RANLIB=mingw32-ranlib AS=mingw32-as \
    LD=mingw32-ld NM=mingw32-nm DLLTOOL=mingw32-dlltool \
    OBJDUMP=mingw32-objdump \
    ./configure --host mingw32 --build `sh config.guess` --prefix $installdir)
(cd libtool-$version; \
    PATH=/usr/local/cross-tools/bin:$PATH make)
(cd libtool-$version; \
    PATH=/usr/local/cross-tools/bin:$PATH make install)
# Hack the generated libtool.
awk '{ print } /^CC=/ \
    { print ""; print "# [ALI] The host C compiler"; print "HOST_CC=\"gcc\"" }' \
    $installdir/bin/libtool > $installdir/bin/libtool.tmp
mv $installdir/bin/libtool.tmp $installdir/bin/libtool
